optimize_4pl <- tagList(
  tags$p("graphs optimize 4pl TODO"), 
  accordion(
    open = FALSE,
    accordion_panel(
      title = "Tests for linear PLA:",
      p("This is the content inside the expandable box."),
    )
  ),
)

dilution_slider <- tagList(
  tags$h2("Finder for optimal dilutions"), 
  tags$p("graphs optimize dilution-slider TODO"),
  accordion(
    open = FALSE,
    accordion_panel(
      title = "Adjusted dilution factors:",
      p("This is the content inside the expandable box."),
    )
  ),
)

histograms <- tagList(
  accordion(
    open = FALSE,
    accordion_panel(
      title = "Parameter Histograms",
      p("This is the content inside the expandable box."),
    )
  ),
)

optimize_report <- tagList(
  tags$p("download optimize report TODO"), 
) 




optimize_page <- layout_sidebar(
  sidebar = sidebar(
    class = "sidebar",
    tags$div(  class = "sidebar_collector",
       tags$h5( class = "sidebar_collector_header",
                "Optimization Settings"
       ),
       sliderInput("TODO", "Adjust the dilutions (+- change in %):", min = -100, max = 100, value = 0),
       checkboxInput("TODO2","Fix highest concentration instead of center", FALSE),
       p("Wider dilution ranges increase the CIs of the relative potency, and decrease the CIs of the upper and lower asymptotes ratios, as well as the Hill's slope ratios."),
    ),
  ),
  
  
  # Main content goes here (can be multiple elements)
  optimize_4pl,
  dilution_slider,
  histograms,
  optimize_report
  
)